<?php

use FiloBlu\Refilo\Remote\Entity\Provider\PriceProvider;
use Magento\Framework\App\Bootstrap;
use Magento\Framework\App\ObjectManager;
use Magento\Framework\App\State;
use Magento\Store\Model\StoreManagerInterface;

require __DIR__ . '/../../../../../app/bootstrap.php';
$params = $_SERVER;
$bootstrap = Bootstrap::create(BP, $params);
$obj = $bootstrap->getObjectManager();
$state = $obj->get(State::class);
$state->setAreaCode('adminhtml');
$objectManager = ObjectManager::getInstance();

/** @var StoreManagerInterface $storeManager */
$storeManager = $objectManager->get(StoreManagerInterface::class);
/** @var \FiloBlu\Refilo\Remote\ProductIndexer $stock */
$stock = $objectManager->get(\FiloBlu\Refilo\Remote\ProductIndexer::class);

$stock->executeFull();
